AutoCAD Inventor :: Create Dimension On Drawing Document Between Two Parts In Assembly
Feb 8, 2010
From a VB.Net program, I'm trying to create a dimension on a drawing document between two parts in an assembly. I can get the parts using component occurrence. The line marked below throws the following error: The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG)).
As you may see, I have allocated memory for both "Edge" and "Face" (Dim oEdge1 As Face) albeit one is commented out. Attached is the screen shots from the attribute helper add-in. In it, you will notice that the attributes are of type: "Face".
Public Sub CreateDrawingDimension(ByVal Part1 As String, ByVal Part2 As String, ByVal AttName1 As String, ByVal AttName2 As String)
' Get the Active Drawing document
Dim oDrawDoc As Inventor.DrawingDocument
oDrawDoc = invApp.ActiveDocument
[code]........
View 2 Replies
ADVERTISEMENT
Dec 6, 2013
if there is any way to create a new 'FeatureBasedPattern' within an assembly document. I have 2 assembly occurences - parts. In the Part1 i created a RectangularPattern of workpoints. The Part2 is going to be used in the new pattern. I tried the following VBA code, but it doesn't work.
Dim oPart1 As ComponentOccurrence
Set oPart1 = oAssDef.Occurences.Item(1)
Dim oPart2 As ComponentOccurrence
Set oPart2 = oAssDef.Occurences.Item(2)
Dim oTG As TransientObjects
Set oTG = ThisApplication.TransientObjects
[code]...
The Call function breaks with: "Invalide procedure call or argument". I also tried "Set oAssemblyPattern = oAssDef.OccurencePatterns.etc...." instead of Call function, but with the same result. Same error for declaration change of "oAssemblyPattern" to "FeatureBasedOccurrencePatternProxy".
View 1 Replies
View Related
Oct 31, 2013
When creating a new part in an assembly and I select a face of an existing component, how does Inventor determine the orientation and origin of that new part? I understand how Inventor works when I select the plane/origin of a part or pick out in space in the assembly.But the placement based on the face of an existing component seems random..
I normally do not like creating parts inside of an assembly but I was trying some new workflows.
View 3 Replies
View Related
Jul 15, 2011
In an assembly document, I try to add a MateConstraint between male and female side of an 45 degrees elbow. The male side is built on the XZ Plane and Y Axis And I try to create a workplane on the female face.
But a got an error with the last line of code. Here's my code (vb.net code) :
' Get application object
Dim app As Inventor.Application = GetObject(, "Inventor.Application")
Dim doc As Inventor.AssemblyDocument = app.ActiveDocument
[Code] .......
View 3 Replies
View Related
Jul 8, 2012
I was wondering if there is a way to export or save an assembly drawing to .dwg format (that can be opened by cad or acad mechanical) in such a way that all the parts of the assembly are exported as individual blocks (within the same file) To explain- lets say I have a .i am out of which I create a drawing (.dwg for inventor). Then I export or save this as acad dwg. This acad dwg should have all parts of the assemblies as blocks so that if I want to work on a particular part in the 2d environment of acad, that is possible.
View 1 Replies
View Related
Oct 13, 2011
I'm referencing an assembly on a drawing. When new parts are added to this assembly, they show up on my drawing, anyway to stop this?
View 5 Replies
View Related
Aug 8, 2013
I have an assembly drawing that i would like to have in the partlist a column with the design state of each part of the assembly, how can i do that, since that property is not in the partlist column chooser.
View 3 Replies
View Related
Jun 24, 2013
I am trying to create a loft to shaped a back cushion and then send the loft to all parts. But I do not see Loft as an option under assembly level.
View 5 Replies
View Related
Feb 8, 2013
How may I best reuse a legacy assemlby and it's drawing to create/update to an vairant assembly?
View 3 Replies
View Related
Nov 25, 2011
I don't understand why my parts aren't updating when I put a hole through them on the assembly drawing? I would expect the part (.ipt file) to get updated with a hole through it when I save the assembly drawing, however it doesn't. Do I have to change a default setting or does inventor no do this?
View 1 Replies
View Related
Apr 29, 2013
I have 5 separate .ipt's that were created within a major assembly. Is it possible to generate a subassembly of those 5 separate .ipt's within the major assembly keeping all the constraints?
OR
Do I have to start a separate .iam file and import each .ipt and regenerate the complicated constraints all over again?
View 5 Replies
View Related
Nov 27, 2012
I have created an assembly that has a parts list, and in this parts list I have up to 100 mono detail drawings. I would like to know if there is a way to print all of these drawing from that list in a massive plot.
At my previous company we had something like this in AutoCAD where a script was created to look at the drawings and print all drawings mentioned in the assembly BOM and subsequent sub-assemblies, it worked beautifully.
I find that I have to print all drawings to paper or PDF individually.
View 7 Replies
View Related
Oct 24, 2011
Is there a way of using Ilogic to make hidden lines of specific parts in an assembly drawing view visible? If a part with hidden lines showing is suppressed and then unsuppressed the hidden line option becomes unchecked, therefore I need a way of rechecking this option through code?
View 2 Replies
View Related
May 15, 2013
I am trying to create a Treeview of Model tree which displays parts assembly...etc My code is working well and i am able to get the tree view, but the problem is how can i count the quantity of parts/assemblies and display as consolidated. For instance this below snapshot shows my treeview.
This above snapshot shows my output
Here besides all parts/assemblies i get Semi-Colons and Numbers rather than consolidated view For this part in fig
153049 QSL.1_8.8:1
153049 QSL.1_8.8:3
153049 QSL.1_8.8:3
153049 QSL.1_8.8
and Quantity as 3 separately.
View 3 Replies
View Related
Nov 4, 2013
I want to create a rule with CommandManager.pick who see the name of assembly and send a custom ipropertie to all parts of this assembly view in drawing, this is my none finish rule.
Dim doc = ThisApplication.ActiveDocument
Dim entity = ThisApplication.CommandManager.Pick(
SelectionFilterEnum.kDrawingViewFilter,
"SÉLECTIONNE UNE VUE")
modelName = IO.Path.GetFileName(ActiveSheet.View(entity.Name).ModelDocument.FullFileName)
PART = Left(modelName, 11)
EXT = Right(modelName, 3)
FIRST = Left(modelName, 3)
[code]....
I have the rule "SEND TO PARTS" in my assembly but i have this error message
MEMBER NOT FOUND. (Exception from HRESULT: 0x80020003 (DISP_E_MEMBERNOTFOUND))
View 8 Replies
View Related
Nov 19, 2011
I'm using Autodesk Inventor 2012 SP1 64 Bit on a Windows 7 machine without vault.
I seem to be missing something. I cannot get the parts list in assembly drawing to fill the part number column. See the image below.
The BOM has the part number field filled out as shown below. Is there someway that I need to map the iProperty to the part number column in parts list?
View 6 Replies
View Related
Oct 31, 2012
I want to ask how to make the size for the angle in the distance between holes. i use the autodesk inventor 2013, I attach an example like this.
View 9 Replies
View Related
Jul 13, 2009
I am trying to create a new base view in drawing-document.
I can get hold of the view but cant find a way to set reference data --- would like to set the "Line Style" to "As Parts" and "Hidden Line Calculation" to "All Bodies".
View 5 Replies
View Related
May 3, 2012
I've got some IGES files, which I want to place into an assembly, and then create a drawing of the assembly.
If I open the IGES and place it in a drawing it works. If I create an assembly, place the same part, and then try and put the assembly into the drawing it doesn't work.
Attached is the IGES file. I'm using Inventor 2011.
View 9 Replies
View Related
Jun 14, 2013
I have assemblies that are comprised of reference parts - the assembly is a purchased part such as an air cylinder. I have them as reference only in the assembly (ie right click on the parts in the model tree->BOM Reference->Reference). I do it this way so I can adjust the air cylinder how I need it, but still only asign one part number to the whole assembly - as an example we'll say "cylinderX" is the part number, and filename is "cylinderX.iam"
The problem arises when I put cylinderX.iam into other assemblies and try and make drawings of those assemblies. Even though cylinderX.iam is not a reference part (but all it's sub components are), it shows up in an IDW just like reference parts. I am able to make it show up how I want by editing the view properties (Edit View->Model State Tab->Reference Data Line Style "as parts"), but I still cannot balloon cylinderX.iam. It shows up in the parts list, but I cannot attach a balloon to it.
Inventor 2013, 64-Bit
Dell Precision M6700
Windows 7 Pro
Intel Core i7-3820QM @ 2.70 GHz
16 GB Ram
NVIDIA Quadro K4000M
Space Navigator
View 4 Replies
View Related
Dec 4, 2011
API enhancement/fix in SP1: Cannot create a radius dimension on circular drawing curves projected from spline edges.Does it in some way trying to refer to the issue with nonplanar arcs turning into splines in drawings saved-as AutoCAD .DWG?
View 3 Replies
View Related
Jul 10, 2012
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
View 2 Replies
View Related
Oct 30, 2012
it is possible to make a constraint that utilized a parameter of a part within the assembly.
For example, if I wanted to use the thickness of a plate, which I defined in the part, could I call that parameter in a constraint?
View 1 Replies
View Related
Oct 31, 2011
My assembly has grown (about 50 parts) to where I need to consolodate some parts into subassemblies for reuse and alternate iterations of the basic design.
When I import the original parts into a new assembly, all of the constrains I created are not there of course.
I've tried creating a new empty part and then deriving a new part from the assembly, but I can't add, delete or edit any parts.
I looked at using Shrinkwrap, Substitutes, iParts, Multi-body Parts, and Multiple Solids but I remain confused.
In retrospect, maybe I should have created the subassemblies between the part and assembly stage but I didn't.
View 4 Replies
View Related
Nov 28, 2011
Can I select a bunch of parts in an assembly and say "save these pieces as a new assembly"?
It is just such a needed tool but I cant find an easy way to accomplish this.
View 2 Replies
View Related
Feb 11, 2013
I tried to print thisdrawing.modeldocument in a vba sub, but it doesn't work.
View 4 Replies
View Related
Jun 27, 2011
Is there a way to override a dimension and have it shown as a GD&T Basic dimension. I can override a dimension with the text option but not with a box around the letter. It sounds strange to do this but the letter represents a dimension in a chart format that are Basic dimensions.
View 9 Replies
View Related
Dec 9, 2013
Is there a way to display the density of materials that are assigned to varius parts in the parts list on a drawing? I don't need the mass of the parts I just need the material density to show up next to their respective parts.
For example, if I have a part with [steel mild] material assinged to it (no matter the size) I need a column in the BOM on the drawing to show: 490.684 lbs/ft^3. "Worry when there's something to worry about."
View 3 Replies
View Related
Jul 25, 2012
I have been working with an assembly today where it is ideal to mirror parts and have figured out how to reuse the parts rather than create new parts. Now I find that when the parts are mirrored, they ate not retaining the mates. Where do I find the setting so they either retain their mates, or prefferably retain the mirror so that if I move the origional, the mirror moves as well?
View 9 Replies
View Related
Apr 1, 2013
I'm using VB Express. I have got an assembly file. I want to open all sub parts according to "Parts only" BOM. Because I want to open every part only one time. Because there can be many occurences of same part.
I want to open each part only one time and save as bitmap views...
Normally I use below code but it can open same files many time according to assembly type unfortunatelly.
Dim oRefDocs As DocumentsEnumerator
oRefDocs = invDocs.AllReferencedDocuments
For Each invDocument In oRefDocs
invDocument3 = invDocument2.Open(invDocument.FullDocumentName, True)
next
View 2 Replies
View Related
Apr 10, 2012
I have an assembly I've put together in Inventor 2011. I tried to make an adaptive spring to use with a shock that goes in a car. I'd like the spring to change size as the shock extends and contracts.
I went through the process of creating an adaptive spring, and it worked, but I could only change the length of the spring by using the "Drive Constraint" feature, which only allows me to adjust the spring when I'm using the "Drive Constraint" menu. It plays like a movie. What I want is a part that just moves like you would expect when you push/pull the ends of the shock. I don't want to have to drive it like a movie.
So then I thought that I could just simulate a spring by making a series of rings (toroids). I could constrain the bottom ring and top ring to the shock geometry and then have the other rings position themselves according to the distance between the top and bottom rings.
SO, I have 5 rings. The bottom ring is grounded the top ring has a Limit Constraint that sets the top ring anywhere between 3 and 7 inches above the bottom ring.
How do I create a driven dimension on an assembly that will automatically update the distance between the top and bottom ring?
I would like to call that dimension "HEIGHT", and then I could use parameters to set the middle ring a distance (HEIGHT/2) above the bottom ring, I could set the ring below the middle to (HEIGHT/4), and I could set the ring above the middle to (HEIGHT*3/4).
I should then be able to move the upper ring up and down and the other rings reposition themselves automatically to keep even spacing between the rings on either side.
I tried making a sketch in the assembly and using the "Project Geometry" function to add the location of the upper and lower rings to the sketch. I then used the "Dimension" function to create a driven dimension between the upper and lower rings. When I finished the sketch the other rings all updated exactly as anticipated, but when I moved the top ring the projected outline did NOT move, so the other rings did not continue to update.
lease do NOT link me to adaptive coil video tutorials or explain how driven dimensions work when making parts. I am not looking for that, I am looking for how to create driven dimensions between two placed components in an ASSEMBLY.
View 9 Replies
View Related